Remove advertiser creative collection members
curl --request DELETE \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/creative-collections/{collectionId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"member_ids": [
"<string>"
],
"expected_updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/creative-collections/{collectionId}/members"
payload = {
"member_ids": ["<string>"],
"expected_updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({member_ids: ['<string>'], expected_updated_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/creative-collections/{collectionId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"collection": {
"collection_id": "<string>",
"name": "<string>",
"member_count": 4503599627370495,
"creative_count": 4503599627370495,
"asset_count": 4503599627370495,
"attached_campaign_count": 4503599627370495,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"campaign_id": "<string>",
"advertiser_id": "<string>",
"owner_scope": "advertiser",
"description": "<string>",
"metadata": {},
"members": [
{
"member_type": "creative",
"member_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"metadata": {},
"creative": {
"creative_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_count": 3,
"preview_revision": "<string>",
"campaign_id": "<string>",
"format_id": {
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
},
"format_kind": "<string>",
"template_id": "<string>",
"brand_domain": "<string>",
"preview_url": "<string>",
"requires_upgrade": true,
"reuse_count": 4503599627370495,
"creative_role": "evergreen",
"creative_source": "uploaded",
"platform_links": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"status": "<string>",
"platform_id": "<string>",
"approval_status": "<string>",
"synced_at": "2023-11-07T05:31:56Z"
}
],
"primary_asset_type": "IMAGE",
"sync_status": {
"synced": true,
"agent_count": 0
},
"target_format_ids": [
{
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"placements": [
{
"placement_id": "<string>",
"placement_name": "<string>"
}
]
}
}
],
"attachments": [
{
"campaign_id": "<string>",
"collection_id": "<string>",
"role": "creative_library",
"sync_policy": "manual",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
},
"added_count": 4503599627370495,
"removed_count": 4503599627370495,
"attached": {
"campaign_id": "<string>",
"collection_id": "<string>",
"role": "creative_library",
"sync_policy": "manual",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
},
"assigned_count": 4503599627370495,
"legacy_members_excluded": 4503599627370495,
"ownership_excluded": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Creatives
Remove advertiser creative collection members
Remove saved creatives from a non-executable advertiser collection with its current revision.
DELETE
/
advertisers
/
{advertiserId}
/
creative-collections
/
{collectionId}
/
members
Remove advertiser creative collection members
curl --request DELETE \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/creative-collections/{collectionId}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"member_ids": [
"<string>"
],
"expected_updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/creative-collections/{collectionId}/members"
payload = {
"member_ids": ["<string>"],
"expected_updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({member_ids: ['<string>'], expected_updated_at: '2023-11-07T05:31:56Z'})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/creative-collections/{collectionId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"collection": {
"collection_id": "<string>",
"name": "<string>",
"member_count": 4503599627370495,
"creative_count": 4503599627370495,
"asset_count": 4503599627370495,
"attached_campaign_count": 4503599627370495,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"campaign_id": "<string>",
"advertiser_id": "<string>",
"owner_scope": "advertiser",
"description": "<string>",
"metadata": {},
"members": [
{
"member_type": "creative",
"member_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"metadata": {},
"creative": {
"creative_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"asset_count": 3,
"preview_revision": "<string>",
"campaign_id": "<string>",
"format_id": {
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
},
"format_kind": "<string>",
"template_id": "<string>",
"brand_domain": "<string>",
"preview_url": "<string>",
"requires_upgrade": true,
"reuse_count": 4503599627370495,
"creative_role": "evergreen",
"creative_source": "uploaded",
"platform_links": [
{
"agent_id": "<string>",
"agent_name": "<string>",
"status": "<string>",
"platform_id": "<string>",
"approval_status": "<string>",
"synced_at": "2023-11-07T05:31:56Z"
}
],
"primary_asset_type": "IMAGE",
"sync_status": {
"synced": true,
"agent_count": 0
},
"target_format_ids": [
{
"id": "<string>",
"agent_url": "<string>",
"width": 123,
"height": 123,
"duration_ms": 123
}
],
"placements": [
{
"placement_id": "<string>",
"placement_name": "<string>"
}
]
}
}
],
"attachments": [
{
"campaign_id": "<string>",
"collection_id": "<string>",
"role": "creative_library",
"sync_policy": "manual",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
},
"added_count": 4503599627370495,
"removed_count": 4503599627370495,
"attached": {
"campaign_id": "<string>",
"collection_id": "<string>",
"role": "creative_library",
"sync_policy": "manual",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
},
"assigned_count": 4503599627370495,
"legacy_members_excluded": 4503599627370495,
"ownership_excluded": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^\d+$Minimum string length:
1Body
application/json
Required array length:
1 - 500 elementsRequired string length:
1 - 255Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Response
Remove advertiser creative collection members
Mutation response for collection management.
A creative collection owned by an advertiser, campaign, or customer workspace.
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Campaign attachment metadata for a creative collection.
Show child attributes
Show child attributes
Number of creative_manifest_campaign rows created by this operation.
Required range:
0 <= x <= 9007199254740991Creative members skipped because their manifest lacks format_kind (upgrade required).
Required range:
0 <= x <= 9007199254740991Creative members skipped because their manifest belongs to a different advertiser than the campaign.
Required range:
0 <= x <= 9007199254740991